Atualizar dashboard
Atualiza um dashboard existente
PUT
/
api
/
v2
/
dashboards
/
{id}
Atualizar dashboard
curl --request PUT \
--url https://api.hyperdx.io/api/v2/dashboards/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "Updated Dashboard Name",
"tags": [
"production",
"updated"
],
"tiles": [
{
"asRatio": false,
"h": 3,
"id": "65f5e4a3b9e77c001a901234",
"name": "Updated Time Series Chart",
"series": [
{
"aggFn": "count",
"dataSource": "events",
"groupBy": [],
"type": "time",
"where": "level:error"
}
],
"w": 6,
"x": 0,
"y": 0
},
{
"asRatio": false,
"h": 3,
"name": "New Number Chart",
"series": [
{
"aggFn": "count",
"dataSource": "events",
"type": "number",
"where": "level:info"
}
],
"w": 6,
"x": 6,
"y": 0
}
]
}
'{
"data": {
"id": "65f5e4a3b9e77c001a567890",
"name": "Updated Dashboard Name",
"tags": [
"production",
"updated"
],
"tiles": [
{
"asRatio": false,
"h": 3,
"id": "65f5e4a3b9e77c001a901234",
"name": "Updated Time Series Chart",
"series": [
{
"aggFn": "count",
"dataSource": "events",
"groupBy": [],
"type": "time",
"where": "level:error"
}
],
"w": 6,
"x": 0,
"y": 0
},
{
"asRatio": false,
"h": 3,
"id": "65f5e4a3b9e77c001a901236",
"name": "New Number Chart",
"series": [
{
"aggFn": "count",
"dataSource": "events",
"type": "number",
"where": "level:info"
}
],
"w": 6,
"x": 6,
"y": 0
}
]
}
}Autorizações
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Parâmetros de caminho
ID do dashboard
Corpo
application/json
Resposta
Dashboard atualizado com sucesso
Show child attributes
Show child attributes
Última modificação em 10 de junho de 2026
Esta página foi útil?
⌘I
Atualizar dashboard
curl --request PUT \
--url https://api.hyperdx.io/api/v2/dashboards/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "Updated Dashboard Name",
"tags": [
"production",
"updated"
],
"tiles": [
{
"asRatio": false,
"h": 3,
"id": "65f5e4a3b9e77c001a901234",
"name": "Updated Time Series Chart",
"series": [
{
"aggFn": "count",
"dataSource": "events",
"groupBy": [],
"type": "time",
"where": "level:error"
}
],
"w": 6,
"x": 0,
"y": 0
},
{
"asRatio": false,
"h": 3,
"name": "New Number Chart",
"series": [
{
"aggFn": "count",
"dataSource": "events",
"type": "number",
"where": "level:info"
}
],
"w": 6,
"x": 6,
"y": 0
}
]
}
'{
"data": {
"id": "65f5e4a3b9e77c001a567890",
"name": "Updated Dashboard Name",
"tags": [
"production",
"updated"
],
"tiles": [
{
"asRatio": false,
"h": 3,
"id": "65f5e4a3b9e77c001a901234",
"name": "Updated Time Series Chart",
"series": [
{
"aggFn": "count",
"dataSource": "events",
"groupBy": [],
"type": "time",
"where": "level:error"
}
],
"w": 6,
"x": 0,
"y": 0
},
{
"asRatio": false,
"h": 3,
"id": "65f5e4a3b9e77c001a901236",
"name": "New Number Chart",
"series": [
{
"aggFn": "count",
"dataSource": "events",
"type": "number",
"where": "level:info"
}
],
"w": 6,
"x": 6,
"y": 0
}
]
}
}